# example:
#     path: '/example/{example_slug}'
#     protocol: 'get'
#     method: 'match'
#     class: 'Admin\Controllers\Example'
#     method: 'example'
#     middlewares:
#         before:
#             class: 'Admin\Middlewares\Customs'
#             method: 'exampleExampleBefore'
#         after:
#             class: 'Admin\Middlewares\Customs'
#             method: 'exampleExampleAfter'
#         finish:
#             class: 'Admin\Middlewares\Customs'
#             method: 'exampleExampleFinish'
#     values:
#         example_slug: 'example-value'
#     asserts:
#         example_slug: '[a-z_-]+'

index_index:
    path: '/'
    protocol: 'get'
    class: 'Admin\Controllers\Index'
    method: 'index'

# Users
users_index:
    path: '/users'
    protocol: 'get'
    class: 'Admin\Controllers\Users'
    method: 'index'
    meta:
        menu_active: 'users'
users_add:
    path: '/users/add'
    protocol: 'match'
    class: 'Admin\Controllers\Users'
    method: 'add'
    meta:
        menu_active: 'users'
users_edit:
    path: '/users/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Users'
    method: 'edit'
    meta:
        menu_active: 'users'
users_delete:
    path: '/users/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Users'
    method: 'delete'
    meta:
        menu_active: 'users'
users_tokens:
    path: '/users/tokens'
    protocol: 'get'
    class: 'Admin\Controllers\Users'
    method: 'tokens'
    meta:
        menu_active: 'users'

# Login
connect_login:
    path: '/connect/login'
    protocol: 'get'
    class: 'Admin\Controllers\Connect'
    method: 'login'

# Benchmark wordings
benchmarkWordings_index:
    path: '/benchmark/wordings'
    protocol: 'get'
    class: 'Admin\Controllers\Benchmark\Wordings'
    method: 'index'
    meta:
        menu_active: 'benchmark'
benchmarkWordings_add:
    path: '/benchmark/wordings/add'
    protocol: 'match'
    class: 'Admin\Controllers\Benchmark\Wordings'
    method: 'add'
    meta:
        menu_active: 'benchmark'
benchmarkWordings_edit:
    path: '/benchmark/wordings/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Benchmark\Wordings'
    method: 'edit'
    meta:
        menu_active: 'benchmark'
benchmarkWordings_delete:
    path: '/benchmark/wordings/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Benchmark\Wordings'
    method: 'delete'
    meta:
        menu_active: 'benchmark'

# Benchmark sites
benchmarkSites_index:
    path: '/benchmark/sites'
    protocol: 'get'
    class: 'Admin\Controllers\Benchmark\Sites'
    method: 'index'
    meta:
        menu_active: 'benchmark'
benchmarkSites_add:
    path: '/benchmark/sites/add'
    protocol: 'match'
    class: 'Admin\Controllers\Benchmark\Sites'
    method: 'add'
    meta:
        menu_active: 'benchmark'
benchmarkSites_confirmation:
    path: '/benchmark/sites/confirmation/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Benchmark\Sites'
    method: 'confirmation'
    meta:
        menu_active: 'benchmark'
benchmarkSites_edit:
    path: '/benchmark/sites/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Benchmark\Sites'
    method: 'edit'
    meta:
        menu_active: 'benchmark'
benchmarkSites_delete:
    path: '/benchmark/sites/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Benchmark\Sites'
    method: 'delete'
    meta:
        menu_active: 'benchmark'
benchmarkSites_reportsUpdate:
    path: '/benchmark/sites/report-update/{id_site}/{id_tool}'
    protocol: 'get'
    class: 'Admin\Controllers\Benchmark\Sites'
    method: 'reportsUpdate'
    meta:
        menu_active: 'benchmark'

# Benchmark reports
benchmarkReports_index:
    path: '/benchmark/reports'
    protocol: 'get'
    class: 'Admin\Controllers\Benchmark\Reports'
    method: 'index'
    meta:
        menu_active: 'benchmark'
benchmarkReports_edit:
    path: '/benchmark/reports/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Benchmark\Reports'
    method: 'edit'
    meta:
        menu_active: 'benchmark'
benchmarkReports_clear:
    path: '/benchmark/reports/clear'
    protocol: 'match'
    class: 'Admin\Controllers\Benchmark\Reports'
    method: 'clear'
    meta:
        menu_active: 'benchmark'

# Benchmark subscriptions
benchmarkSubscriptions_index:
    path: '/benchmark/subscriptions'
    protocol: 'get'
    class: 'Admin\Controllers\Benchmark\Subscriptions'
    method: 'index'
    meta:
        menu_active: 'benchmark'
benchmarkSubscriptions_edit:
    path: '/benchmark/subscriptions/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Benchmark\Subscriptions'
    method: 'edit'
    meta:
        menu_active: 'benchmark'
benchmarkSubscriptions_delete:
    path: '/benchmark/subscriptions/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Benchmark\Subscriptions'
    method: 'delete'
    meta:
        menu_active: 'benchmark'

# Benchmark locations
# benchmarkDareboostLocations_index:
#     path: '/benchmark/locations'
#     protocol: 'get'
#     class: 'Admin\Controllers\Benchmark\DareboostLocations'
#     method: 'index'
#     meta:
#         menu_active: 'benchmark'
# benchmarkDareboostLocations_add:
#     path: '/benchmark/locations/add'
#     protocol: 'match'
#     class: 'Admin\Controllers\Benchmark\DareboostLocations'
#     method: 'add'
#     meta:
#         menu_active: 'benchmark'
# benchmarkDareboostLocations_edit:
#     path: '/benchmark/locations/edit/{id}'
#     protocol: 'match'
#     class: 'Admin\Controllers\Benchmark\DareboostLocations'
#     method: 'edit'
#     meta:
#         menu_active: 'benchmark'
# benchmarkDareboostLocations_delete:
#     path: '/benchmark/locations/delete/{id}'
#     protocol: 'get'
#     class: 'Admin\Controllers\Benchmark\DareboostLocations'
#     method: 'delete'
#     meta:
#         menu_active: 'benchmark'

# Benchmark browsers
# benchmarkDareboostBrowsers_index:
#     path: '/benchmark/browsers'
#     protocol: 'get'
#     class: 'Admin\Controllers\Benchmark\DareboostBrowsers'
#     method: 'index'
#     meta:
#         menu_active: 'benchmark'
# benchmarkDareboostBrowsers_add:
#     path: '/benchmark/browsers/add'
#     protocol: 'match'
#     class: 'Admin\Controllers\Benchmark\DareboostBrowsers'
#     method: 'add'
#     meta:
#         menu_active: 'benchmark'
# benchmarkDareboostBrowsers_edit:
#     path: '/benchmark/browsers/edit/{id}'
#     protocol: 'match'
#     class: 'Admin\Controllers\Benchmark\DareboostBrowsers'
#     method: 'edit'
#     meta:
#         menu_active: 'benchmark'
# benchmarkDareboostBrowsers_delete:
#     path: '/benchmark/browsers/delete/{id}'
#     protocol: 'get'
#     class: 'Admin\Controllers\Benchmark\DareboostBrowsers'
#     method: 'delete'
#     meta:
#         menu_active: 'benchmark'

# Benchmark tools
benchmarkTools_index:
    path: '/benchmark/tools'
    protocol: 'get'
    class: 'Admin\Controllers\Benchmark\Tools'
    method: 'index'
    meta:
        menu_active: 'benchmark'
benchmarkTools_add:
    path: '/benchmark/tools/add'
    protocol: 'match'
    class: 'Admin\Controllers\Benchmark\Tools'
    method: 'add'
    meta:
        menu_active: 'benchmark'
benchmarkTools_edit:
    path: '/benchmark/tools/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Benchmark\Tools'
    method: 'edit'
    meta:
        menu_active: 'benchmark'
benchmarkTools_delete:
    path: '/benchmark/tools/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Benchmark\Tools'
    method: 'delete'
    meta:
        menu_active: 'benchmark'

# Portal wordings
portalWordings_index:
    path: '/portal/wordings'
    protocol: 'get'
    class: 'Admin\Controllers\Portal\Wordings'
    method: 'index'
    meta:
        menu_active: 'portal'
portalWordings_add:
    path: '/portal/wordings/add'
    protocol: 'match'
    class: 'Admin\Controllers\Portal\Wordings'
    method: 'add'
    meta:
        menu_active: 'portal'
portalWordings_edit:
    path: '/portal/wordings/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Portal\Wordings'
    method: 'edit'
    meta:
        menu_active: 'portal'
portalWordings_delete:
    path: '/portal/wordings/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Portal\Wordings'
    method: 'delete'
    meta:
        menu_active: 'portal'

# Portal sites
portalSites_index:
    path: '/portal/sites'
    protocol: 'get'
    class: 'Admin\Controllers\Portal\Sites'
    method: 'index'
    meta:
        menu_active: 'portal'
portalSites_add:
    path: '/portal/sites/add'
    protocol: 'match'
    class: 'Admin\Controllers\Portal\Sites'
    method: 'add'
    meta:
        menu_active: 'portal'
portalSites_edit:
    path: '/portal/sites/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Portal\Sites'
    method: 'edit'
    meta:
        menu_active: 'portal'
portalSites_delete:
    path: '/portal/sites/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Portal\Sites'
    method: 'delete'
    meta:
        menu_active: 'portal'

# Portal tags
portalTags_index:
    path: '/portal/tags'
    protocol: 'get'
    class: 'Admin\Controllers\Portal\Tags'
    method: 'index'
    meta:
        menu_active: 'portal'
portalTags_add:
    path: '/portal/tags/add'
    protocol: 'match'
    class: 'Admin\Controllers\Portal\Tags'
    method: 'add'
    meta:
        menu_active: 'portal'
portalTags_edit:
    path: '/portal/tags/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Portal\Tags'
    method: 'edit'
    meta:
        menu_active: 'portal'
portalTags_delete:
    path: '/portal/tags/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Portal\Tags'
    method: 'delete'
    meta:
        menu_active: 'portal'

# Portal icons
portalIcons_index:
    path: '/portal/icons'
    protocol: 'get'
    class: 'Admin\Controllers\Portal\Icons'
    method: 'index'
    meta:
        menu_active: 'portal'
portalIcons_add:
    path: '/portal/icons/add'
    protocol: 'match'
    class: 'Admin\Controllers\Portal\Icons'
    method: 'add'
    meta:
        menu_active: 'portal'
portalIcons_edit:
    path: '/portal/icons/edit/{id}'
    protocol: 'match'
    class: 'Admin\Controllers\Portal\Icons'
    method: 'edit'
    meta:
        menu_active: 'portal'
portalIcons_delete:
    path: '/portal/icons/delete/{id}'
    protocol: 'get'
    class: 'Admin\Controllers\Portal\Icons'
    method: 'delete'
    meta:
        menu_active: 'portal'

# Error
error_index:
    path: '/[routes.error]'
    protocol: 'get'
    class: 'Admin\Controllers\Error'
    method: 'index'
